Bug Hunting Session
Bug 125564 - WatchWindow says the type of ThisComponent is ThisComponent
Summary: WatchWindow says the type of ThisComponent is ThisComponent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: himajin100000
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-29 03:38 UTC by himajin100000
Modified: 2019-07-02 00:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
document to be used in STR (10.23 KB, application/vnd.oasis.opendocument.text)
2019-05-29 03:40 UTC, himajin100000
Details

Note You need to log in before you can comment on or make changes to this bug.
Description himajin100000 2019-05-29 03:38:42 UTC
Description:
see steps to reproduce


Steps to Reproduce:
1. Load the attached document.
2. Open StarBasic's IDE
3. Input "ThisComponent" into Watch window(or Observer?) and press Enter
4. "Step In" in Main()
5. Check what the type of ThisComponent is

Actual Results:
Watch Window says the type of ThisComponent 

Expected Results:
Watch Window should say ThisComponent is of type XModel (probably. Is there any thing more suitable?)


Reproducible: Always


User Profile Reset: No



Additional Info:
SbxObject has a constructor that takes OUString as its paramter. This parameter is for Class's name, not for the variable name.

https://opengrok.libreoffice.org/xref/core/basic/source/sbx/sbxobj.cxx?r=29d35c82#41
https://opengrok.libreoffice.org/xref/core/basic/source/classes/sbunoobj.cxx?r=fbc038cc#2274
https://opengrok.libreoffice.org/xref/core/basic/source/classes/sbunoobj.cxx?r=fbc038cc#2873
https://opengrok.libreoffice.org/xref/core/basic/source/basmgr/basmgr.cxx?r=754c6af4#1408
https://opengrok.libreoffice.org/s?refs=SetGlobalUNOConstant&project=core
Comment 1 himajin100000 2019-05-29 03:40:32 UTC
Created attachment 151751 [details]
document to be used in STR
Comment 2 himajin100000 2019-05-29 03:45:05 UTC
Submission done.
https://gerrit.libreoffice.org/#/c/73142/
Comment 3 himajin100000 2019-05-29 10:53:09 UTC
typo:
>Watch Window says the type of ThisComponent
=>Watch Window says the type of ThisComponent is ThisComponent
Comment 4 Commit Notification 2019-06-29 06:31:18 UTC
Tomoyuki Kubota committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/00f4722032cd3abb02180d2df6b9cb580736cb7c%5E%21

tdf#125564: WatchWindow should report correct type for global constants

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.